/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW XXAS_LINKS_TAGS_V
AS
SELECT v.menu_id
     , v.function_id 
    ,f.function_name 
    , v.prompt
	,v.description
    , v.entry_sequence
    , f.web_icon function_icon 
    , xxas_com_sec_pkg.get_parameter_value(f.parameters,'pGroups') groups
    ,f.parameters
FROM fnd_menu_entries_vl v , fnd_form_functions f , fnd_menus m 
WHERE m.menu_name = fnd_profile.value('XXAS_COM_REG_ACTIONS_MENU')
AND v.menu_id = m.menu_id
AND f.function_id = v.function_id;


BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_LINKS_TAGS_V'
   ,p_description            => 'Applaud Block tags view');
END;
/

COMMIT;
EXIT;

